Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.ui
Class UIToolkit

    java.lang.Object
      de.grogra.pf.ui.UIToolkit

Direct Known Subclasses:
  HeadlessToolkit

    public abstract class UIToolkit

extends java.lang.Object

Field Summary
`static java.awt.Dimension` | `ABOUT_ICON_SIZE`
`static int` | `ALIGNMENT_CENTER`
`static int` | `ALIGNMENT_LEADING`
`static int` | `ALIGNMENT_TRAILING`
`static java.lang.String` | `CREATE_COMPONENT_WRAPPER_METHOD`
`static java.lang.String` | `EXPLORER_ACTION`
`static int` | `FONT_BOLD`
`static int` | `FONT_DIALOG`
`static int` | `FONT_DIALOG_INPUT`
`static int` | `FONT_ITALIC`
`static int` | `FONT_MASK`
`static int` | `FONT_MONOSPACED`
`static int` | `FONT_PLAIN`
`static int` | `FONT_SANS_SERIF`
`static int` | `FONT_SERIF`
`static int` | `FONT_SIZE_MASK`
`static int` | `FOR_MENU`
`static int` | `FORCE_DIMENSION`
`static java.awt.Dimension` | `MEDIUM_ICON_SIZE`
`static java.awt.Dimension` | `MENU_ICON_SIZE`
`static java.awt.Dimension` | `TOOLBAR_ICON_SIZE`
`static java.lang.String` | `UPDATE_COMPONENT_WRAPPER_METHOD`
`static java.awt.Dimension` | `WINDOW_ICON_SIZE`

Constructor Summary
`UIToolkit()`

Method Summary
`void` | `addComponent(java.lang.Object container, java.lang.Object component, java.lang.Object constraints)`
`abstract void` | `addComponent(java.lang.Object container, java.lang.Object component, java.lang.Object constraints, int index)`
`java.lang.Object` | `createAbout(PluginDescriptor plugin, java.lang.String prefix, ObjectList tabComponents)`
`abstract Widget` | `createBooleanWidget(boolean forMenu, Map params)`
`java.lang.Object` | `createButton(Described dp, java.awt.Dimension size, int flags, Command cmd, Context ctx)`
`java.lang.Object` | `createButton(Described dp, int flags, Command cmd, Context ctx)`
`java.lang.Object` | `createButton(I18NBundle bundle, java.lang.String key, java.awt.Dimension size, int flags, Command cmd, Context ctx)`
`abstract java.lang.Object` | `createButton(java.lang.String text, IconSource source, java.awt.Dimension size, int flags, Command cmd, Context ctx)`
`java.lang.Object` | `createButton(java.lang.String text, IconSource source, int flags, Command cmd, Context ctx)`
`java.lang.Object` | `createButton(java.lang.String text, int flags, Command cmd, Context ctx)`
`abstract ChartPanel` | `createChartPanel(Context ctx, Map params)`
`abstract Widget` | `createChoiceWidget(javax.swing.ListModel list, boolean forMenu)`
`abstract Widget` | `createColorWidget(Map params)`
`abstract ComponentWrapper` | `createComponentMenu(UITree componentTree)`
`abstract ComponentWrapper` | `createComponentTree(UITree componentTree)`
`abstract Console` | `createConsole(Context context, Map params)`
`abstract java.lang.Object` | `createContainer(float[] weights, int gap)`
`abstract java.lang.Object` | `createContainer(int gap)`
`abstract java.lang.Object` | `createContainer(int rows, int cols, int gap)`
`java.lang.Object` | `createLabel(Described dp, java.awt.Dimension size, int flags)`
`java.lang.Object` | `createLabel(Described dp, int flags)`
`abstract java.lang.Object` | `createLabel(java.lang.String text, IconSource icon, java.awt.Dimension size, int flags)`
`java.lang.Object` | `createLabel(java.lang.String text, IconSource icon, int flags)`
`java.lang.Object` | `createLabel(java.lang.String text, int flags)`
`abstract java.lang.Object` | `createLabeledComponent(java.lang.Object component, java.lang.Object label)`
`Panel` | `createLogViewer(Context ctx, Map params)`
`abstract Widget` | `createNumericWidget(Type type, Quantity quantity, Map params)`
`abstract Panel` | `createPanel(Context ctx, Disposable toDispose, Map params)`
`abstract java.lang.Object` | `createScrollPane(java.lang.Object view)`
`abstract java.lang.Object` | `createSplitContainer(int orientation)`
`abstract Panel` | `createStatusBar(Context context, Map params)`
`abstract Widget` | `createStringWidget(Map params)`
`abstract java.lang.Object` | `createTabbedPane(java.lang.String[] titles, java.lang.Object[] components)`
`abstract ComponentWrapper` | `createTable(javax.swing.table.TableModel table, Context ctx)`
`abstract TextEditor` | `createTextEditor(Context context, Map params)`
`abstract java.lang.Object` | `createTextViewer(java.net.URL url, java.lang.String mimeType, java.lang.String content, Command hyperlink, boolean asBrowser)`
`abstract Panel` | `createToolBar(Context context, Map params)`
`abstract ComponentWrapper` | `createTree(UITree tree)`
`abstract Widget` | `createTreeChoiceWidget(UITree tree)`
`abstract ComponentWrapper` | `createTreeInSplit(UITree tree, java.lang.Object split)`
`Panel` | `createViewerPanel(Context context, java.lang.String systemId, Map params)`
`abstract Panel` | `createViewerPanel(Context ctx, java.net.URL url, Map params)`
`abstract Window` | `createWindow(Command close, Map params)`
`void` | `dispose(java.lang.Object component)`
`static UIToolkit` | `get(Context ctx)`
`abstract java.lang.Object` | `getComponent(java.lang.Object container, int index)`
`abstract int` | `getComponentCount(java.lang.Object container)`
`protected static int` | `getFirstMatching(int flags, int[] masks, int[] values, int def)`
`protected static java.lang.Object` | `getFirstMatching(int flags, int[] masks, java.lang.Object[] values, java.lang.Object def)`
`abstract int` | `getHeight(java.lang.Object component)`
`abstract java.awt.Point` | `getLocationOnScreen(java.lang.Object component)`
`abstract java.lang.Object` | `getParent(java.lang.Object component)`
`abstract int` | `getSelectedRow(ComponentWrapper table)`
`abstract javax.swing.table.TableModel` | `getTable(ComponentWrapper table)`
`abstract java.lang.Object` | `getTextViewerComponent(Panel viewerPanel)`
`abstract int` | `getWidth(java.lang.Object component)`
`abstract int` | `indexOf(java.lang.Object component)`
`abstract void` | `removeComponent(java.lang.Object component)`
`abstract void` | `repaint(java.lang.Object component)`
`abstract void` | `revalidate(java.lang.Object component)`
`abstract java.lang.Object` | `setBorder(java.lang.Object component, int gap)`
`abstract void` | `setContent(java.lang.Object textViewer, java.lang.String mimeType, java.lang.String content)`
`abstract void` | `setContent(java.lang.Object textViewer, java.net.URL content)`
`abstract void` | `showPopupMenu(UITree menu, java.lang.Object component, int x, int y)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ABOUT_ICON_SIZE

    public static final java.awt.Dimension ABOUT_ICON_SIZE

### ALIGNMENT_CENTER

    public static final int ALIGNMENT_CENTER

See Also:
  Constant Field Values

### ALIGNMENT_LEADING

    public static final int ALIGNMENT_LEADING

See Also:
  Constant Field Values

### ALIGNMENT_TRAILING

    public static final int ALIGNMENT_TRAILING

See Also:
  Constant Field Values

### CREATE_COMPONENT_WRAPPER_METHOD

    public static final java.lang.String CREATE_COMPONENT_WRAPPER_METHOD

See Also:
  Constant Field Values

### EXPLORER_ACTION

    public static final java.lang.String EXPLORER_ACTION

See Also:
  Constant Field Values

### FONT_BOLD

    public static final int FONT_BOLD

See Also:
  Constant Field Values

### FONT_DIALOG

    public static final int FONT_DIALOG

See Also:
  Constant Field Values

### FONT_DIALOG_INPUT

    public static final int FONT_DIALOG_INPUT

See Also:
  Constant Field Values

### FONT_ITALIC

    public static final int FONT_ITALIC

See Also:
  Constant Field Values

### FONT_MASK

    public static final int FONT_MASK

See Also:
  Constant Field Values

### FONT_MONOSPACED

    public static final int FONT_MONOSPACED

See Also:
  Constant Field Values

### FONT_PLAIN

    public static final int FONT_PLAIN

See Also:
  Constant Field Values

### FONT_SANS_SERIF

    public static final int FONT_SANS_SERIF

See Also:
  Constant Field Values

### FONT_SERIF

    public static final int FONT_SERIF

See Also:
  Constant Field Values

### FONT_SIZE_MASK

    public static final int FONT_SIZE_MASK

See Also:
  Constant Field Values

### FOR_MENU

    public static final int FOR_MENU

See Also:
  Constant Field Values

### FORCE_DIMENSION

    public static final int FORCE_DIMENSION

See Also:
  Constant Field Values

### MEDIUM_ICON_SIZE

    public static final java.awt.Dimension MEDIUM_ICON_SIZE

### MENU_ICON_SIZE

    public static final java.awt.Dimension MENU_ICON_SIZE

### TOOLBAR_ICON_SIZE

    public static final java.awt.Dimension TOOLBAR_ICON_SIZE

### UPDATE_COMPONENT_WRAPPER_METHOD

    public static final java.lang.String UPDATE_COMPONENT_WRAPPER_METHOD

See Also:
  Constant Field Values

### WINDOW_ICON_SIZE

    public static final java.awt.Dimension WINDOW_ICON_SIZE

Constructor Detail

### UIToolkit

    public UIToolkit()

Method Detail

### addComponent

    public void addComponent(java.lang.Object container,
                             java.lang.Object component,
                             java.lang.Object constraints)

### addComponent

    public abstract void addComponent(java.lang.Object container,
                                      java.lang.Object component,
                                      java.lang.Object constraints,
                                      int index)

### createAbout

    public java.lang.Object createAbout(PluginDescriptor plugin,
                                        java.lang.String prefix,
                                        ObjectList tabComponents)

### createBooleanWidget

    public abstract Widget createBooleanWidget(boolean forMenu,
                                               Map params)

### createButton

    public java.lang.Object createButton(Described dp,
                                         java.awt.Dimension size,
                                         int flags,
                                         Command cmd,
                                         Context ctx)

### createButton

    public java.lang.Object createButton(Described dp,
                                         int flags,
                                         Command cmd,
                                         Context ctx)

### createButton

    public java.lang.Object createButton(I18NBundle bundle,
                                         java.lang.String key,
                                         java.awt.Dimension size,
                                         int flags,
                                         Command cmd,
                                         Context ctx)

### createButton

    public abstract java.lang.Object createButton(java.lang.String text,
                                                  IconSource source,
                                                  java.awt.Dimension size,
                                                  int flags,
                                                  Command cmd,
                                                  Context ctx)

### createButton

    public java.lang.Object createButton(java.lang.String text,
                                         IconSource source,
                                         int flags,
                                         Command cmd,
                                         Context ctx)

### createButton

    public java.lang.Object createButton(java.lang.String text,
                                         int flags,
                                         Command cmd,
                                         Context ctx)

### createChartPanel

    public abstract ChartPanel createChartPanel(Context ctx,
                                                Map params)

### createChoiceWidget

    public abstract Widget createChoiceWidget(javax.swing.ListModel list,
                                              boolean forMenu)

### createColorWidget

    public abstract Widget createColorWidget(Map params)

### createComponentMenu

    public abstract ComponentWrapper createComponentMenu(UITree componentTree)

### createComponentTree

    public abstract ComponentWrapper createComponentTree(UITree componentTree)

### createConsole

    public abstract Console createConsole(Context context,
                                          Map params)

### createContainer

    public abstract java.lang.Object createContainer(float[] weights,
                                                     int gap)

### createContainer

    public abstract java.lang.Object createContainer(int gap)

### createContainer

    public abstract java.lang.Object createContainer(int rows,
                                                     int cols,
                                                     int gap)

### createLabel

    public java.lang.Object createLabel(Described dp,
                                        java.awt.Dimension size,
                                        int flags)

### createLabel

    public java.lang.Object createLabel(Described dp,
                                        int flags)

### createLabel

    public abstract java.lang.Object createLabel(java.lang.String text,
                                                 IconSource icon,
                                                 java.awt.Dimension size,
                                                 int flags)

### createLabel

    public java.lang.Object createLabel(java.lang.String text,
                                        IconSource icon,
                                        int flags)

### createLabel

    public java.lang.Object createLabel(java.lang.String text,
                                        int flags)

### createLabeledComponent

    public abstract java.lang.Object createLabeledComponent(java.lang.Object component,
                                                            java.lang.Object label)

### createLogViewer

    public Panel createLogViewer(Context ctx,
                                 Map params)

### createNumericWidget

    public abstract Widget createNumericWidget(Type type,
                                               Quantity quantity,
                                               Map params)

### createPanel

    public abstract Panel createPanel(Context ctx,
                                      Disposable toDispose,
                                      Map params)

### createScrollPane

    public abstract java.lang.Object createScrollPane(java.lang.Object view)

### createSplitContainer

    public abstract java.lang.Object createSplitContainer(int orientation)

### createStatusBar

    public abstract Panel createStatusBar(Context context,
                                          Map params)

### createStringWidget

    public abstract Widget createStringWidget(Map params)

### createTabbedPane

    public abstract java.lang.Object createTabbedPane(java.lang.String[] titles,
                                                      java.lang.Object[] components)

### createTable

    public abstract ComponentWrapper createTable(javax.swing.table.TableModel table,
                                                 Context ctx)

### createTextEditor

    public abstract TextEditor createTextEditor(Context context,
                                                Map params)

### createTextViewer

    public abstract java.lang.Object createTextViewer(java.net.URL url,
                                                      java.lang.String mimeType,
                                                      java.lang.String content,
                                                      Command hyperlink,
                                                      boolean asBrowser)

### createToolBar

    public abstract Panel createToolBar(Context context,
                                        Map params)

### createTree

    public abstract ComponentWrapper createTree(UITree tree)

### createTreeChoiceWidget

    public abstract Widget createTreeChoiceWidget(UITree tree)

### createTreeInSplit

    public abstract ComponentWrapper createTreeInSplit(UITree tree,
                                                       java.lang.Object split)

### createViewerPanel

    public Panel createViewerPanel(Context context,
                                   java.lang.String systemId,
                                   Map params)

### createViewerPanel

    public abstract Panel createViewerPanel(Context ctx,
                                            java.net.URL url,
                                            Map params)

### createWindow

    public abstract Window createWindow(Command close,
                                        Map params)

### dispose

    public void dispose(java.lang.Object component)

### get

    public static UIToolkit get(Context ctx)

### getComponent

    public abstract java.lang.Object getComponent(java.lang.Object container,
                                                  int index)

### getComponentCount

    public abstract int getComponentCount(java.lang.Object container)

### getFirstMatching

    protected static int getFirstMatching(int flags,
                                          int[] masks,
                                          int[] values,
                                          int def)

### getFirstMatching

    protected static java.lang.Object getFirstMatching(int flags,
                                                       int[] masks,
                                                       java.lang.Object[] values,
                                                       java.lang.Object def)

### getHeight

    public abstract int getHeight(java.lang.Object component)

### getLocationOnScreen

    public abstract java.awt.Point getLocationOnScreen(java.lang.Object component)

### getParent

    public abstract java.lang.Object getParent(java.lang.Object component)

### getSelectedRow

    public abstract int getSelectedRow(ComponentWrapper table)

### getTable

    public abstract javax.swing.table.TableModel getTable(ComponentWrapper table)

### getTextViewerComponent

    public abstract java.lang.Object getTextViewerComponent(Panel viewerPanel)

### getWidth

    public abstract int getWidth(java.lang.Object component)

### indexOf

    public abstract int indexOf(java.lang.Object component)

### removeComponent

    public abstract void removeComponent(java.lang.Object component)

### repaint

    public abstract void repaint(java.lang.Object component)

### revalidate

    public abstract void revalidate(java.lang.Object component)

### setBorder

    public abstract java.lang.Object setBorder(java.lang.Object component,
                                               int gap)

### setContent

    public abstract void setContent(java.lang.Object textViewer,
                                    java.lang.String mimeType,
                                    java.lang.String content)

### setContent

    public abstract void setContent(java.lang.Object textViewer,
                                    java.net.URL content)

### showPopupMenu

    public abstract void showPopupMenu(UITree menu,
                                       java.lang.Object component,
                                       int x,
                                       int y)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD